Page MenuHomePhabricator

Give RevisionSlider a natural descriptive name (e.g. "revision slider")
Closed, ResolvedPublic2 Story Points

Description

While an UpperCamelCase name is great for use in our technical space to refer to an extension or project, in the real world people will expect things to be labelled descriptively and in proper English. They won't care about sub-product names of MediaWiki. At the very least it should be "revision slider", but one could also use "history" and/or a more descriptive verb than "slide" (e.g. "browse", "compare")

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptAug 10 2016, 10:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 304129 had a related patch set uploaded (by Esanders):
Use natural language when referring to feature (but not extension/project)

https://gerrit.wikimedia.org/r/304129

I am all for this change. Actually we have struggled ourselves when we decide to make references to the tool in messages consistent and always use RevisionSlider, as this names really reads difficult.

Thanks @Esanders for putting up the patch!
@Lea_WMDE could you please approve or object on this?

I'm happy to change the name, as long as we come up with it quickly (i.e. before we release it as beta to all wikis, which if all goes as expected, could be in 2 weeks already). Our first brainstorming session did not bring any results, but please let us know your ideas! Maybe @Guycn2, @IKhitron, WMDE-Design or the rest of the TCB-Team can also think of something?

Thanks for the invitation, but I have no ideas.

Change 304129 merged by jenkins-bot:
Use natural language when referring to feature (but not extension/project)

https://gerrit.wikimedia.org/r/304129

.. after talking again with @WMDE-leszek, maybe it is indeed too late to do a full renaming. So let's improve the wording on all help pages, and write "revision slider" instead of "RevisionSlider" and "With it you can browse through history" and not "you can slide through revisions", but not do a complete renaming

Addshore moved this task from Incoming to Revision Slider on the TCB-Team board.Aug 13 2016, 8:34 AM
Lea_WMDE moved this task from Incoming to Doing on the Revision-Slider board.Aug 16 2016, 10:51 AM

Before closing this: We now have a collapsable box for the revision slider, that is currently titled "revision slider". Let's change the title to "Browse history" to really make it more understandable for the users.

Change 306168 had a related patch set uploaded (by WMDE-leszek):
Rephrase the label of the slider visibility toggle button

https://gerrit.wikimedia.org/r/306168

Change 306168 merged by jenkins-bot:
Rephrase the label of the slider visibility toggle button

https://gerrit.wikimedia.org/r/306168

WMDE-leszek closed this task as Resolved.Aug 25 2016, 1:06 PM
WMDE-leszek claimed this task.
WMDE-leszek moved this task from Proposed to Done on the TCB-Team-Sprint-2016-08-11 board.

Looks like we're done with related changes for now. Of course further suggestions are always welcome!

WMDE-leszek triaged this task as Normal priority.Aug 25 2016, 1:17 PM
WMDE-leszek set the point value for this task to 2.
Addshore moved this task from Doing to Done on the Revision-Slider board.Sep 13 2016, 2:48 PM